﻿using System;
using System.IO;
using System.Management;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ClassLibrary1
{
    public class Class1
    {
		public void dumpPlatformDetails()
		{
			String nl = Environment.NewLine;
			
			System.Console.WriteLine("HasShutdownStarted: " + Environment.HasShutdownStarted);
            System.Console.WriteLine("MachineName: " + Environment.MachineName);
			System.Console.WriteLine("OSVersion: " +
			                    Environment.OSVersion.ToString());
			System.Console.WriteLine("TickCount: " + Environment.TickCount);
			System.Console.WriteLine("UserDomainName: " + Environment.UserDomainName);
			System.Console.WriteLine("UserInteractive: " + Environment.UserInteractive);
			System.Console.WriteLine("UserName: " + Environment.UserName);
			System.Console.WriteLine("OS Version: " + Environment.Version.ToString());
			System.Console.WriteLine("WorkingSet: " + Environment.WorkingSet);
			
            String[] drives = Environment.GetLogicalDrives();
			System.Console.WriteLine("Logical Drives: " + String.Join(", ", drives));
		}
	}
}

